
%define oname		secret

%define api		1
%define major		0
%define gi_major	1
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname -d %{oname}
%define girname		%mklibname %{oname}-gir %{gi_major}

Name:           libsecret
Version:        0.18.5
Release:        %mkrel 3
Group: 		System/Libraries
Summary:        Library for storing and retrieving passwords and other secrets
License:        LGPLv2+
URL:            https://live.gnome.org/Libsecret
Source0:        http://download.gnome.org/sources/libsecret/libsecret-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
#--------------------------------------------------
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: xsltproc
BuildRequires: docbook-xsl
BuildRequires: docbook-style-xsl
BuildRequires: libxml2-utils
BuildRequires: vala-tools
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gpg-error-devel
#--------------------------------------------------


%description
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.

%package -n %{libname}
Summary:	Library for the secret protocol
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
libsecret is a library for storing and retrieving passwords and other secrets.
It communicates with the "Secret Service" using DBus. gnome-keyring and
KSecretService are both implementations of a Secret Service.


%package -n %{develname}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}
Group: 		Development/Libraries
Provides:	libsecret-devel =  %{version}

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure2_5x \
	--enable-introspection=yes \
	--enable-vala=yes \
	--disable-static \
	--enable-debug=no

%make 


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'



%files -n %{libname}
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/secret-tool
%{_libdir}/libsecret-1.so.*
%{_libdir}/girepository-1.0/Secret-1.typelib
%doc %{_mandir}/man1/secret-tool.1.*
%{_datadir}/locale

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/libsecret-1/
%{_libdir}/libsecret-1.so
%{_libdir}/pkgconfig/libsecret-1.pc
%{_libdir}/pkgconfig/libsecret-unstable.pc
%{_datadir}/gir-1.0/Secret-1.gir
%{_datadir}/vala/vapi
%{_datadir}/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jun 10 2018 adrianomorselli <adrianomorselli> 0.15.5-3uplos2018
- rebuild
